Problem building 2.6.35 kernels

Yioryos Asprobounitis mavrothal at
Sat Dec 4 14:46:22 EST 2010

Trying to build an XO-1.5 kernel in an F14 machine from the olpc-2.6.35 git sources, "make xo_1_5-kernel-rpm" fails because it requires dracut-modules-olpc >= 0.5.4. 

If you setup kernel-xo1.5.spec to build initramfs during %post on the host still fails because:  
Explicit file attributes required in spec for: kernel- and .../boot/actrd-

Non of these was the case when building 2.6.31 kernels in an F11 machine
Any suggestions?

PS: Since I would like to try some changes/patches in the source I did not use olpc-kernel-builder. Can you do this with olpc-kernel-builder?

BTW, are the newer F14 2.6.35-olpc-kernel SRPMs posted somewhere?


More information about the Devel mailing list